CREATE TABLE IF NOT EXISTS  tips_onie_map (
    map_id INT(16) NOT NULL AUTO_INCREMENT,
    basename VARCHAR(256) NOT NULL DEFAULT '',
    prefix VARCHAR(256) NOT NULL DEFAULT '',
    onie_vendor_id VARCHAR(32) NOT NULL DEFAULT '',
    onie_machine VARCHAR(32) NOT NULL DEFAULT '',
    onie_machine_rev VARCHAR(32) NOT NULL DEFAULT '',
    onie_arch VARCHAR(32) NOT NULL DEFAULT '',
    last_update DATETIME DEFAULT NULL,
    url VARCHAR(512) DEFAULT NULL,
    PRIMARY KEY (map_id),
    UNIQUE (prefix , onie_vendor_id , onie_machine , onie_machine_rev , onie_arch)
)  ENGINE=INNODB;