CREATE TABLE IF NOT EXISTS tips_ztp_map (
  map_id INT(16) NOT NULL AUTO_INCREMENT,
  basename varchar(256) NOT NULL DEFAULT '',
  prefix varchar(256) NOT NULL DEFAULT '',
  cumulus_arch varchar(16) NOT NULL DEFAULT '',
  cumulus_productname varchar(32) NOT NULL DEFAULT '',
  cumulus_version varchar(32) NOT NULL DEFAULT '',
  cumulus_build varchar(32) NOT NULL DEFAULT '',
  last_update datetime DEFAULT CURRENT_TIMESTAMP,
  url varchar(512) DEFAULT NULL,
  PRIMARY KEY (map_id),
  UNIQUE KEY (prefix,cumulus_arch,cumulus_productname,cumulus_version,cumulus_build)
) ENGINE=InnoDB;
